/**************************************************************************/
/* GF73 ( 使用カラム状態テーブル )                                        */
/*                                                                        */
/* Created : 2011/12/17 09:07:56                                          */
/**************************************************************************/
CREATE TABLE GF73 (
   SYSTEM_ID   VARCHAR(10)                  NOT NULL      /* 10  システムID     */
 , ADDRESS     VARCHAR(256)                               /* 20  アドレス       */
 , PRE_FIX     VARCHAR(10)                  NOT NULL      /* 30  名前空間       */
 , FILENAME    VARCHAR(60)                                /* 40  ファイル名     */
 , FILEPATH    VARCHAR(256)                               /* 50  ファイルパス   */
 , MODIFIED    VARCHAR(14)                                /* 60  最終更新日     */
 , TAGNAME     VARCHAR(30)                                /* 70  タグ名称       */
 , FORM_TYPE   VARCHAR(10)                                /* 80  フォームタイプ */
 , FORM_NAME   VARCHAR(200)                               /* 90  名称           */
 , FORM_VAL    VARCHAR(1000)                              /* 100 値             */
 , DEFAULT_VAL VARCHAR(100)                               /* 110 デフォルト値   */
 , LBLCD       VARCHAR(60)                                /* 120 ラベルコード   */
 , MSGCD       VARCHAR(20)                                /* 130 メッセージID   */
 , MUST        VARCHAR(10)                                /* 140 必須           */
 , VIEW_SIZE   VARCHAR(20)                                /* 150 表示桁数       */
 , MAX_SIZE    VARCHAR(20)                                /* 160 最大使用桁数   */
 , CODE_CLM    VARCHAR(30)                                /* 170 コードカラム   */
 , READONLY    VARCHAR(20)                                /* 180 読取専用       */
 , DISABLED    VARCHAR(20)                                /* 190 無効           */
 , ROLES       VARCHAR(500)                               /* 200 ロールズ       */
 , TEXT_DATA   BLOB                                       /* 210 テキスト       */
 , FGOMIT      VARCHAR(1)       DEFAULT '0' NOT NULL      /* 220 除外フラグ     */
 , UNIQ        BIGINT                       NOT NULL      /* 230 ユニークキー   */
 , FGJ         VARCHAR(1)       DEFAULT '1' NOT NULL      /* 240 状態フラグ     */
 , DYSET       VARCHAR(14)                                /* 250 登録日時       */
 , PGSET       VARCHAR(10)                                /* 260 作成PG         */
 , PGPSET      VARCHAR(10)                                /* 270 作成親PG       */
 , USRSET      VARCHAR(10)                                /* 280 作成社員       */
 , DYUPD       VARCHAR(14)                                /* 290 更新日時       */
 , PGUPD       VARCHAR(10)                                /* 300 更新PG         */
 , PGPUPD      VARCHAR(10)                                /* 310 更新親PG       */
 , USRUPD      VARCHAR(10)                                /* 320 更新者         */
);

CREATE SEQUENCE GF73S00 ;


CREATE TRIGGER GF73T00 FOR GF73
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF73S00,1 );
  END; 


